SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
DataStructures::Table::Cell Struct Reference

Holds the actual data in the table. More...

`#include <slikenet/DS_Table.h>`

## Public Member Functions

| Cell ()
| ~Cell ()
| Cell (double numericValue, char *charValue, void *ptr, ColumnType type)
void | SetByType (double numericValue, char *charValue, void *inPtr, ColumnType type)
void | Clear (void)
void | Set (int input)
| Numeric.
void | Set (unsigned int input)
void | Set (double input)
void | Set (const char *input)
| String.
void | Set (const char *input, int inputLength)
| Binary.
void | SetPtr (void *p)
| Pointer.
void | Get (int *output)
| Numeric.
void | Get (double *output)
void | Get (char *output)
| String.
void | Get (char *output, size_t outputLength)
void | Get (char *output, int *outputLength)
| Binary.
SLNet::RakString | ToString (ColumnType columnType)
Cell & | operator= (const Cell &input)
| Cell (const Cell &input)
ColumnType | EstimateColumnType (void) const

## Public Attributes

bool | isEmpty
double | i
char * | c
void * | ptr

## Detailed Description

Holds the actual data in the table.

Definition at line 64 of file DS_Table.h.

## Constructor & Destructor Documentation

Table::Cell::Cell | ( |  | ) |

Definition at line 43 of file DS_Table.cpp.

References c, i, isEmpty, and ptr.

Table::Cell::~Cell | ( |  | ) |

Definition at line 50 of file DS_Table.cpp.

References DataStructures::Table::Clear().

Table::Cell::Cell | ( | double | numericValue,
|  | char * | charValue,
|  | void * | ptr,
|  | ColumnType | type
| ) |  |

Definition at line 201 of file DS_Table.cpp.

Table::Cell::Cell | ( | const Cell & | input | ) |

Definition at line 70 of file DS_Table.cpp.

References _FILE_AND_LINE_, c, i, isEmpty, ptr, rakFree_Ex, and rakMalloc_Ex.

## Member Function Documentation

void Table::Cell::Clear | ( | void |  | ) |

Definition at line 243 of file DS_Table.cpp.

References _FILE_AND_LINE_, and rakFree_Ex.

Referenced by SLNet::TableSerializer::DeserializeCell(), and SLNet::TableSerializer::DeserializeFilterQuery().

Table::ColumnType Table::Cell::EstimateColumnType | ( | void |  | ) | const

Definition at line 229 of file DS_Table.cpp.

References DataStructures::Table::BINARY, DataStructures::Table::NUMERIC, DataStructures::Table::POINTER, and DataStructures::Table::STRING.

void Table::Cell::Get | ( | int * | output | ) |

Numeric.

Definition at line 146 of file DS_Table.cpp.

References RakAssert.

void Table::Cell::Get | ( | double * | output | ) |

Definition at line 152 of file DS_Table.cpp.

References RakAssert.

void Table::Cell::Get | ( | char * | output | ) |

String.

Definition at line 157 of file DS_Table.cpp.

References RakAssert.

void Table::Cell::Get | ( | char * | output,
|  | size_t | outputLength
| ) |  |

Definition at line 165 of file DS_Table.cpp.

References RakAssert.

void Table::Cell::Get | ( | char * | output,
|  | int * | outputLength
| ) |  |

Binary.

Definition at line 170 of file DS_Table.cpp.

References RakAssert.

Table::Cell & Table::Cell::operator= | ( | const Cell & | input | ) |

Definition at line 54 of file DS_Table.cpp.

References _FILE_AND_LINE_, c, i, isEmpty, ptr, rakFree_Ex, and rakMalloc_Ex.

void Table::Cell::Set | ( | int | input | ) |

Numeric.

Definition at line 95 of file DS_Table.cpp.

References DataStructures::Table::Clear().

Referenced by SLNet::TableSerializer::DeserializeCell().

void Table::Cell::Set | ( | unsigned int | input | ) |

Definition at line 91 of file DS_Table.cpp.

void Table::Cell::Set | ( | double | input | ) |

Definition at line 83 of file DS_Table.cpp.

References DataStructures::Table::Clear().

void Table::Cell::Set | ( | const char * | input | ) |

String.

Definition at line 104 of file DS_Table.cpp.

References _FILE_AND_LINE_, DataStructures::Table::Clear(), and rakMalloc_Ex.

void Table::Cell::Set | ( | const char * | input,
|  | int | inputLength
| ) |  |

Binary.

Definition at line 122 of file DS_Table.cpp.

References _FILE_AND_LINE_, DataStructures::Table::Clear(), and rakMalloc_Ex.

void Table::Cell::SetByType | ( | double | numericValue,
|  | char * | charValue,
|  | void * | inPtr,
|  | ColumnType | type
| ) |  |

Definition at line 205 of file DS_Table.cpp.

References DataStructures::Table::BINARY, DataStructures::Table::NUMERIC, DataStructures::Table::POINTER, and DataStructures::Table::STRING.

Referenced by DataStructures::Table::AddRow().

void Table::Cell::SetPtr | ( | void * | p | ) |

Pointer.

Definition at line 139 of file DS_Table.cpp.

References DataStructures::Table::Clear().

Referenced by SLNet::TableSerializer::DeserializeCell().

SLNet::RakString Table::Cell::ToString | ( | ColumnType | columnType | ) |

Definition at line 177 of file DS_Table.cpp.

References DataStructures::Table::BINARY, DataStructures::Table::NUMERIC, DataStructures::Table::POINTER, and DataStructures::Table::STRING.

## Member Data Documentation

char* DataStructures::Table::Cell::c

Definition at line 107 of file DS_Table.h.

Referenced by Cell(), SLNet::TableSerializer::DeserializeFilterQuery(), operator=(), DataStructures::Table::QueryRow(), SLNet::TableSerializer::SerializeCell(), and SLNet::TableSerializer::SerializeFilterQuery().

double DataStructures::Table::Cell::i

Definition at line 106 of file DS_Table.h.

Referenced by Cell(), SLNet::TableSerializer::DeserializeFilterQuery(), operator=(), DataStructures::Table::QueryRow(), SLNet::TableSerializer::SerializeCell(), and SLNet::TableSerializer::SerializeFilterQuery().

bool DataStructures::Table::Cell::isEmpty

Definition at line 105 of file DS_Table.h.

Referenced by Cell(), SLNet::TableSerializer::DeserializeFilterQuery(), operator=(), SLNet::TableSerializer::SerializeCell(), and SLNet::TableSerializer::SerializeFilterQuery().

void* DataStructures::Table::Cell::ptr

Definition at line 108 of file DS_Table.h.

Referenced by Cell(), SLNet::TableSerializer::DeserializeFilterQuery(), operator=(), DataStructures::Table::QueryRow(), SLNet::TableSerializer::SerializeCell(), and SLNet::TableSerializer::SerializeFilterQuery().

The documentation for this struct was generated from the following files:

- Source/include/slikenet/DS_Table.h
- Source/src/DS_Table.cpp